Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.rfid.edge.toolkit.workflow.types
Class ErrorOutputImpl

    java.lang.Object
      java.lang.Throwable
          com.bea.rfid.edge.toolkit.workflow.types.ErrorOutputImpl

All Implemented Interfaces:
  ErrorOutput, Serializable

    public class ErrorOutputImpl

extends Throwable
implements ErrorOutput

Implementation of `ErrorOutput`.

See Also:
  Serialized Form

Constructor Summary
`ErrorOutputImpl(String source, String msg, Level level, Throwable cause)` Constructor.
`ErrorOutputImpl(String source, String msg, Level level, Throwable cause, long errorTime)` Constructor.

Method Summary
`long` | `getErrorTime()` Returns the date and time of the error in milliseconds format.
`Level` | `getSeverityLevel()` Returns the severity level of this error.
`String` | `getSourceName()` Returns the source of this error.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.rfid.api.workflow.types.ErrorOutput
`getCause, getMessage`

Constructor Detail

### ErrorOutputImpl

    public ErrorOutputImpl(String source,
                           String msg,
                           Level level,
                           Throwable cause,
                           long errorTime)

  Constructor.

  Parameters:
    `source` - The source of this error.
    `msg` - A descriptive message about the error.
    `level` - Severity level of the error.
    `cause` - The exception, if any, that caused the error.
    `errorTime` - The time of the error in milliseconds.

### ErrorOutputImpl

    public ErrorOutputImpl(String source,
                           String msg,
                           Level level,
                           Throwable cause)

  Constructor.

  Parameters:
    `source` - The source of this error.
    `msg` - A descriptive message about the error.
    `level` - Severity level of the error.
    `cause` - The exception, if any, that caused the error.

Method Detail

### getErrorTime

    public long getErrorTime()

  Description copied from interface: `ErrorOutput`
  Returns the date and time of the error in milliseconds format.

  Specified by:
    `getErrorTime` in interface `ErrorOutput`
  Returns:
    Error datetime.

### getSourceName

    public String getSourceName()

  Description copied from interface: `ErrorOutput`
  Returns the source of this error. This will typically be the name of the module (and port) where the error occured.

  Specified by:
    `getSourceName` in interface `ErrorOutput`

### getSeverityLevel

    public Level getSeverityLevel()

  Description copied from interface: `ErrorOutput`
  Returns the severity level of this error.

  Specified by:
    `getSeverityLevel` in interface `ErrorOutput`
  Returns:
    `java.util.logging.level` indicating the severity of the error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD